import 'package:json_annotation/json_annotation.dart';
part 'characters_dto.g.dart';

@JsonSerializable(createToJson: false)
class CharactersDto {
  final List<CharacterDto>? data;

  const CharactersDto({this.data});

  factory CharactersDto.fromJson(Map<String, dynamic> json) => _$CharactersDtoFromJson(json);
}

@JsonSerializable(createToJson: false)
class CharacterDto {
  final String? displayName;
  final String? displayIcon;
  final String? description;
  final String? developerName;

  const CharacterDto({this.displayName, this.displayIcon, this.description, this.developerName});

  factory CharacterDto.fromJson(Map<String, dynamic> json) => _$CharacterDtoFromJson(json);
}
