import '../../domain/models/card.dart';
import '../dtos/characters_dto.dart';

extension CharacterDtoToModel on CharacterDto {
  CardData toDomain() => CardData(
    displayName ?? 'UNKNOWN',
    descriptionText: developerName ?? 'Описание отсутствует',
    gameDesc: description,
    imageUrl: displayIcon,
  );
}
